package org.eclipse.soda.dk.gps.nmea.position.profile.test;

/*************************************************************************
 * Copyright (c) 2008, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import org.eclipse.soda.dk.gps.nmea.position.profile.GpsNmeaPositionProfile;
import org.eclipse.soda.dk.gps.nmea.position.profile.test.service.GpsNmeaPositionProfileTestService;
import org.eclipse.soda.dk.profile.service.ProfileService;
import org.eclipse.soda.dk.profile.test.ProfileTest;

/**
 * Gps Nmea Profile Test.
 * 
 *  The GpsNmeaPositionProfileTest class implements a set of profiletest tests.
 * <p>The list of exported services:
 * @see org.eclipse.soda.dk.gps.nmea.position.profile.test.service.GpsNmeaPositionProfileTestService
 *  
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public class GpsNmeaPositionProfileTest extends ProfileTest implements GpsNmeaPositionProfileTestService, Runnable {
	/**
	 * Defines the full class name.
	 * @since 1.1
	 */
	// Generated field and should not be changed.
	public static final String CLASS_NAME = "org.eclipse.soda.dk.gps.nmea.position.profile.test.GpsNmeaPositionProfileTest"; //$NON-NLS-1$

	/**
	 * Constructs a new instance of the GpsNmeaPositionProfileTest class.
	 * @since 1.1
	 */
	public GpsNmeaPositionProfileTest() {
		/* Generated method and should not be changed. */
		super();
	}

	/**
	 * Main method to run tests in a stand alone mode.
	 * 
	 * @param arguments
	 * @see org.eclipse.soda.dk.gps.nmea.position.profile.GpsNmeaPositionProfile
	 * @since 1.1
	 */
	public static void main(final String[] arguments) {
		/* Generated method and should not be changed. */
		/*
		The following will make sure that we have no references to the specific device class
		when running as a bundle.
		*/
		final GpsNmeaPositionProfileTest testCase = new GpsNmeaPositionProfileTest();
		testCase.run(arguments);
		System.exit(0);
	}

	/**
	 * Gets the default AdapterService to be tested.
	 * 
	 * @return ProfileService The Profile to be tested.
	 * @throws ClassNotFoundException
	 * @throws IllegalAccessException
	 * @throws InstantiationException
	 * @see org.eclipse.soda.dk.profile.test.ProfileTest#getDefaultProfile()
	 * @since 1.1
	 */
	public ProfileService getDefaultProfile() throws ClassNotFoundException, IllegalAccessException, InstantiationException {
		/* Generated method and should not be changed. */
		return new GpsNmeaPositionProfile();
	}

	/**
	 * Sets user-defined variables to use in the test.
	 * 
	 * @see org.eclipse.soda.dk.profile.test.ProfileTest#setup()
	 * @since 1.1
	 */
	public void setup() {
		/* Generated method and should not be changed. */
		super.setup();
		setPriority(getInt("gpsnmeapositionprofiletest.priority", PRIORITY_DEFAULT)); //$NON-NLS-1$
		setTestCount(getInt("gpsnmeapositionprofiletest.testcount", TEST_COUNT_DEFAULT)); //$NON-NLS-1$
		setTestDelay(getLong("gpsnmeapositionprofiletest.testdelay", TEST_DELAY_DEFAULT)); //$NON-NLS-1$
		setTestExecute(getBoolean("gpsnmeapositionprofiletest.testexecute", TEST_EXECUTE_DEFAULT)); //$NON-NLS-1$
		setTestExecuteRead(getBoolean("gpsnmeapositionprofiletest.testexecuteread", TEST_EXECUTE_READ_DEFAULT)); //$NON-NLS-1$
		setTestExecuteWrite(getBoolean("gpsnmeapositionprofiletest.testexecutewrite", TEST_EXECUTE_WRITE_DEFAULT)); //$NON-NLS-1$
		setTestRead(getBoolean("gpsnmeapositionprofiletest.testread", TEST_READ_DEFAULT)); //$NON-NLS-1$
		setTestTrigger(getBoolean("gpsnmeapositionprofiletest.testtrigger", TEST_TRIGGER_DEFAULT)); //$NON-NLS-1$
		setTotalTestTime(getLong("gpsnmeapositionprofiletest.totaltesttime", TOTAL_TEST_TIME_DEFAULT)); //$NON-NLS-1$
	}
}
