package org.eclipse.soda.dk.gps.nmea.transport.messages;

/*************************************************************************
 * Copyright (c) 2006, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
/**
 * GPS NMEA Transport.
 * The transport message interface defines the named messages for the GpsNmeaTransport transport.
 * <p>The devicekit properties keys and default values.
 * <table>
 * <tr>
 * <td>gpsnmeatransport.hardwareflowcontrol</td>
 * <td>0</td>
 * </tr>
 * <tr>
 * <td>gpsnmeatransport.parity</td>
 * <td>none</td>
 * </tr>
 * <tr>
 * <td>gpsnmeatransport.stopbits</td>
 * <td>1</td>
 * </tr>
 * <tr>
 * <td>gpsnmeatransport.comport</td>
 * <td>1</td>
 * </tr>
 * <tr>
 * <td>gpsnmeatransport.readintervaltimeout</td>
 * <td>50</td>
 * </tr>
 * <tr>
 * <td>gpsnmeatransport.softwareflowcontrol</td>
 * <td>0</td>
 * </tr>
 * <tr>
 * <td>gpsnmeatransport.writetotaltimeout</td>
 * <td>100</td>
 * </tr>
 * <tr>
 * <td>gpsnmeatransport.databits</td>
 * <td>8</td>
 * </tr>
 * <tr>
 * <td>gpsnmeatransport.readtotaltimeout</td>
 * <td>1000</td>
 * </tr>
 * <tr>
 * <td>gpsnmeatransport.baudrate</td>
 * <td>4800</td>
 * </tr>
 * <tr>
 * <td>gpsnmeatransport.connection</td>
 * <td>serial</td>
 * </tr>
 * </table>
 * <xmp>
 * gpsnmeatransport.hardwareflowcontrol=0
 * gpsnmeatransport.parity=none
 * gpsnmeatransport.stopbits=1
 * gpsnmeatransport.comport=1
 * gpsnmeatransport.readintervaltimeout=50
 * gpsnmeatransport.softwareflowcontrol=0
 * gpsnmeatransport.writetotaltimeout=100
 * gpsnmeatransport.databits=8
 * gpsnmeatransport.readtotaltimeout=1000
 * gpsnmeatransport.baudrate=4800
 * </xmp>
 * <xmp>
 * gpsnmeatransport.connection=serial
 * </xmp>
 * <p>The list of exported services:
 * @see org.eclipse.soda.dk.gps.nmea.transport.service.GpsNmeaTransportService
 * @see org.eclipse.soda.dk.transport.service.TransportService
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public class GpsNmeaTransportMessages extends Object {
	/**
	 * Constructs an instance of this class.
	 */
	public GpsNmeaTransportMessages() {
		super();
	}
}
