package org.eclipse.soda.dk.gps.nmea.transport.test;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import org.eclipse.soda.dk.gps.nmea.transport.GpsNmeaTransport;
import org.eclipse.soda.dk.gps.nmea.transport.test.service.GpsNmeaTransportTestService;
import org.eclipse.soda.dk.transport.service.TransportService;
import org.eclipse.soda.dk.transport.test.TransportTest;

/**
 * Global Positioning System (GPS) National Marine Electronics Association (NMEA) Transport Test.
 * 
 *  The GpsNmeaTransportTest class implements a set of transport tests.
 * <p>The list of exported services:
 * @see org.eclipse.soda.dk.gps.nmea.transport.test.service.GpsNmeaTransportTestService
 *  
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public class GpsNmeaTransportTest extends TransportTest implements GpsNmeaTransportTestService {
	/**
	 * Defines the full class name.
	 * @since 1.0
	 */
	// Generated field and should not be changed.
	public static final String CLASS_NAME = "org.eclipse.soda.dk.gps.nmea.transport.test.GpsNmeaTransportTest"; //$NON-NLS-1$

	/**
	 * Constructs a new instance of the GpsNmeaTransportTest class.
	 * @since 1.0
	 */
	public GpsNmeaTransportTest() {
		/* Generated method and should not be changed. */
		super();
	}

	/**
	 * Main method to run tests in a stand alone mode.
	 * 
	 * @param arguments
	 * @see org.eclipse.soda.dk.gps.nmea.transport.GpsNmeaTransport
	 * @since 1.0
	 */
	public static void main(final String[] arguments) {
		/* Generated method and should not be changed. */
		try {
			final GpsNmeaTransportTest testCase = new GpsNmeaTransportTest();
			testCase.run(arguments);
		} catch (final RuntimeException exception) {
			exception.printStackTrace(System.out);
		}
		System.exit(0);
	}

	/**
	 * Gets the default TransportService to be tested.
	 * 
	 * @return TransportService The Transport to be tested.
	 * @see org.eclipse.soda.dk.transport.test.TransportTest#getDefaultTransport()
	 * @since 1.0
	 */
	public TransportService getDefaultTransport() {
		/* Generated method and should not be changed. */
		return new GpsNmeaTransport();
	}

	/**
	 * Runs the user-defined tests.
	 * 
	 * @see org.eclipse.soda.dk.transport.test.TransportTest#runTests()
	 * @since 1.0
	 */
	public void runTests() {
		/* Generated method and should not be changed. */
	}

	/**
	 * Sets user-defined variables to use in the test.
	 * 
	 * @see org.eclipse.soda.dk.transport.test.TransportTest#setup()
	 * @since 1.0
	 */
	public void setup() {
		/* Generated method and should not be changed. */
		super.setup();
		setPriority(getInt("gpsnmeatransporttest.priority", PRIORITY_DEFAULT)); //$NON-NLS-1$
		setTestCount(getInt("gpsnmeatransporttest.testcount", TEST_COUNT_DEFAULT)); //$NON-NLS-1$
		setTestDelay(getLong("gpsnmeatransporttest.testdelay", TEST_DELAY_DEFAULT)); //$NON-NLS-1$
		setTotalTestTime(getLong("gpsnmeatransporttest.totaltesttime", TOTAL_TEST_TIME_DEFAULT)); //$NON-NLS-1$
	}
}
